/*-
 * Copyright (C) 2007-2009 Erik Larsson
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
 */

/*
 *  CommonDriverStrings.h
 *  NTFS-3G_PrefPane
 *
 *  Created by Erik Larsson on 2009-01-07.
 */

#define DRIVER_NAME							@"NTFS-3G"
#define DRIVER_TRIAL_DAYS					15

#define DRIVER_SETTINGS_PLIST_PATH			@"/Library/Preferences/org.catacombae.macntfs-3g.DriverSettings.plist"
#define DRIVER_UNINSTALL_SCRIPT_PATH		@"/System/Library/Filesystems/ntfs-3g.fs/Support/uninstall-package.sh"
#define DRIVER_CFDIRECTORY					@".NTFS-3G"
#define DRIVER_CF_READ_ONLY					@".ntfs-readonly"
#define DRIVER_CF_NO_UBLIO					@".ntfs-noublio"
#define DRIVER_CF_NO_NFCONV					@".ntfs-nonfconv"

#define TOOL_LISTFSMOUNTSTIGER				@"ListDriverMountsTiger"
#define TOOL_LISTFSMOUNTSLEOPARD			@"ListDriverMountsLeopard"
#define TOOL_SETPLISTVALUE					@"SetPlistValue"
#define TOOL_CREATEEMPTYFILE				@"CreateEmptyFile"
#define TOOL_REMOVEFILE						@"RemoveFile"
#define TOOL_EXISTSFILE						@"ExistsFile"
#define TOOL_ENSUREDIRECTORY				@"EnsureDirectory"
#define TOOL_GETMOUNTFLAGS					@"GetMountFlags"
#define TOOL_PROCESSRUNNER					@"ProcessRunner"
#define TOOL_AEWPHELPER						@"AEWPHelper"

#define PLIST_KEY_DISABLE_DRIVER			@"DisableDriver"
#define PLIST_KEY_ENABLE_RAW_DEVICES		@"MountRdisks"
#define PLIST_KEY_ENABLE_CACHING			@"UseUblio"
#define PLIST_KEY_ENABLE_NORMALIZATION		@"UseNfconv"
#define PLIST_KEY_ENABLE_AUTOMATIC_RECOVERY	@"AlwaysRecover"
#define PLIST_KEY_LOGGING_LEVEL				@"LogLevel"

#define TUXERA_NTFS_INFO_URL				@"http://www.tuxera.com/products/tuxera-ntfs-for-mac/"
