#!/bin/sh -x

# These variables are always passed to build.sh
DIST_DIR="$1"
TMP_DIR="$2"
ROOT_DIR="$3"

PROJNAME="ntfs-3g.fs"

DESTDIR="System/Library/Filesystems"

sudo mkdir -p -m 0755 "${ROOT_DIR}/${DESTDIR}" && \
    sudo cp -R "${DIST_DIR}/${PROJNAME}" "${ROOT_DIR}/${DESTDIR}" && \
    sudo chown -R root:wheel "${ROOT_DIR}/System"

exit $?
