#!/bin/sh -x

# These variables are always passed to build.sh
DIST_DIR="$1"
TMP_DIR="$2"
ROOT_DIR="$3"

PROJNAME="ntfs-3g"
TARBALL="ntfs-3g-2010.5.22-mac.tar.bz2"

CC="gcc-4.0"
PREFIXES="--prefix=/usr/local --mandir=/usr/local/share/man --exec_prefix=/usr/local"
CONFIGURE_FLAGS="--disable-dependency-tracking --enable-shared --enable-static --enable-file-locking --enable-aligned-io --enable-ublio"
CC_FLAGS="-g -I${ROOT_DIR}/usr/local/include"
LD_FLAGS="-g -L${ROOT_DIR}/usr/local/lib"

OSX_TARGET=10.4
SDK=/Developer/SDKs/MacOSX10.4u.sdk
CFG_CFLAGS="-arch i386 -arch ppc ${OSX_TARGET:+-mmacosx-version-min=${OSX_TARGET}} ${SDK:+-isysroot ${SDK}} ${CC_FLAGS}"
CFG_LDFLAGS="-arch i386 -arch ppc ${OSX_TARGET:+-mmacosx-version-min=${OSX_TARGET}} ${SDK:+-isysroot ${SDK} -Wl,-syslibroot,${SDK}} ${LD_FLAGS}"

"${DIST_DIR}/../support/acbuild.sh" "${DIST_DIR}" "${TMP_DIR}" "${ROOT_DIR}" "${PROJNAME}" "${TARBALL}" ${PREFIXES} ${CONFIGURE_FLAGS} CC="${CC}" CFLAGS="${CFG_CFLAGS}" LDFLAGS="${CFG_LDFLAGS}"
exit $?
